// modal-window styles

.modal-window{
  &__form{
    // position: absolute;
    // width: 690px;
    // height: 430px;  
    // background-color: $c-white-2;
    // padding-top: 40px;
    // padding-left: 20px;
    // padding-bottom: 30px;
    // padding-right: 100px;
    flex-direction: column;
    align-items: center;
    display: flex;

    // transition: transform .5s;
    // opacity: 0;
    // transform: translateX(-50px);
    // &.visible{
    //   opacity: 1;
    //   transform: translateX(0px);
    // }
  }
  &__field{

    margin-bottom: 15px;
    &-captcha{
      width: 50%;
      // align-self: flex-end;
      & .field__label{
        display: none;
      }
      & .field__input{
        width: 100%;
      }
      & .captcha{
        width: 100%;
      }
    }
  }
  &__captcha{
    display: flex;
    max-width: 380px;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 25px;
    cursor: pointer;
    width: 100%;
    &-img{
      width: 40%;
      height: 50px;
    }
  
  }
  &__text{
    position: relative;
    display: flex; 
    cursor: pointer;
    margin-bottom: 15px;
    flex-direction: column;
  }
  &__textarea{
      padding: 10px;
      border: transparent;
      outline: none;
      width: 380px;
      height: 135px;
      font-size: $fs-16;
      font-family: $f-arial;
      transition:  $t-normal;
      &:focus{
        border: 2px solid $c-green-2;
        transition:  $t-normal;
      }
      &.error{
        transition:  $t-normal;
        border: 2px solid red;
      }
  }
  *:-webkit-autofill,
  *:-webkit-autofill:hover,
  *:-webkit-autofill:focus,
  *:-webkit-autofill:active {
      -webkit-box-shadow: 0 0 0 1000px #fff inset;
  }
  & label{
      cursor: pointer;  
      
  }

  &__label{
      // position: absolute;
      letter-spacing: 1;
      color: $c-white;
      transition: .35s;
      font-size: $fs-16;
      cursor: pointer;
      padding-right: 20px;
      padding-top: 5px;  
      padding-bottom: 5px;
      padding-left: 5px;
  }
  &__button{
    height: 50px;
    width: 200px;
    outline: none;
    overflow: none;
    border:none ;
    // margin-right: 90px;
    align-self: flex-start;
    // border-radius: 25%;

  }
}
////////////////////////////////////
//Responsiwe
////////////////////////////////////
@media screen and (max-width : 1550px){
  .modal-window{
    &__captcha{
      padding-bottom: 10px;
    }
    &__field{
      margin-bottom: 5px;
    }
    &__text{
      margin-bottom: 10px;
    }
    &__textarea{
      height: 115px;
    }  
    &__button{
      height: 40px;
      width: 150px;
      font-size: $fs-16;
    }
  }
}

@media #{$desktop}{
  .modal-window{
    &__captcha{
      padding-bottom: 25px;
    }
    &__field{
      margin-bottom: 15px;
    }
    &__text{
      margin-bottom: 15px;
    }
    &__textarea{
      height: 135px;
      margin-bottom: 5px; 
    }  
    &__button{
      height: 50px;
      width: 200px;
      font-size: $fs-18;
    }
  }
}
@media #{$phone}{
  .modal-window{
    &__field{
        max-width: 300px;
    }
    &__captcha{
      max-width: 300px;
      &-img{
        height: 40px;
      }
    
    }
    &__text{
      margin-bottom: 5px;
    }
    &__textarea{
        padding: 5px;
        width: 300px;
        height: 115px;
    }
  
    &__button{
      height: 40px;
      width: 150px; 
      font-size: $fs-16;
      
    }
  }
}
//   &__form{
//     width: 320px;
//     height: 365px;  
//     padding:15px 0px;
//     align-items: center;
//     // left: auto;
//     // top: auto;
//     // right: auto;
//     // bottom: auto;

//   }
//   &__field{
//     flex-direction: column;
//   }

//   &__text{
//     flex-direction: column;
//     margin-bottom: 20px;
//   }
//   &__textarea{
//       padding: 10px;
//       width: 275px;
//       height: 100px;
//       font-size: $fs-14;

//   }

//   &__label{
//       font-size: $fs-14;
//       padding-bottom: 5px;  
//   }
//   &__button{
//     height:40px;
//     width: 150px;
//     margin-right: 0px;
//     & .button__text{
//       font-size: $fs-16;
//     }
//   }
//   &__divider{
//     display: none; 
//   }
// }
// }